var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import classNames from 'classnames';
import Icon from "../icon";
var prefixCls = 'dmc-side-nav-item';

var SideNavItem = function SideNavItem(_a) {
  var _b, _c, _d;

  var className = _a.className,
      style = _a.style,
      children = _a.children,
      type = _a.type,
      icon = _a.icon,
      label = _a.label,
      value = _a.value,
      actived = _a.actived,
      onClick = _a.onClick,
      disabled = _a.disabled,
      restProps = __rest(_a, ["className", "style", "children", "type", "icon", "label", "value", "actived", "onClick", "disabled"]);

  var cls = classNames(prefixCls, (_b = {}, _b[prefixCls + "-" + type] = type, _b), (_c = {}, _c[prefixCls + "-actived"] = actived, _c), (_d = {}, _d[prefixCls + "-disabled"] = disabled, _d), className);

  var node = children || _jsxs(React.Fragment, {
    children: [!!icon && _jsx(Icon, {
      icon: icon,
      className: prefixCls + "-icon"
    }, void 0), _jsx("div", __assign({
      className: prefixCls + "-label"
    }, {
      children: label
    }), void 0)]
  }, void 0);

  return _jsx("div", __assign({}, restProps, {
    "data-value": value,
    className: cls,
    style: style,
    onClick: disabled ? undefined : onClick
  }, {
    children: node
  }), void 0);
};

SideNavItem.displayName = 'SideNavItem';
export default SideNavItem;
var SideNavItemMemo = /*#__PURE__*/React.memo(SideNavItem);
SideNavItemMemo.displayName = 'SideNavItemMemo';
export { SideNavItemMemo };

